<form [formGroup]="searchForm" (ngSubmit)="onSubmit()">
  <br><br>
  <div class="row col-md-12">
      <div class="col-md-2">
          <mat-form-field>
              <mat-select placeholder="Users" formControlName="type">
                <!-- <mat-option>None</mat-option> -->
                <!-- <mat-option *ngFor="let user of posts4"  [value]="user.usertype">{{user.usertype}}</mat-option>
                 -->
                 <mat-option  value="Admin">Admin</mat-option>
              <mat-option  value="Manufacturer">Manufacturer</mat-option>
              <mat-option  value="Distributor">Distributor</mat-option>
              </mat-select>
            </mat-form-field>
          </div>
    <div class="col-md-2"> 
    <mat-form-field>
      <mat-select placeholder="brand" [formControl]="searchForm.controls['brand_id']">
        <!-- <mat-option>None</mat-option> -->
        <mat-option *ngFor="let brand of posts1" [value]="brand.brand_id">{{brand.brand_name}}</mat-option>
      </mat-select>
    </mat-form-field>
  </div>
  <div class="col-md-2">
    <mat-form-field>
        <mat-select placeholder="Category" [formControl]="searchForm.controls['category_id']">
          <!-- <mat-option>None</mat-option> -->
          <mat-option *ngFor="let category of posts2"  [value]="category.category_id">{{category.category_name}}</mat-option>
        </mat-select>
      </mat-form-field>
    </div>
    <div class="col-md-2">
        <mat-form-field>
            <mat-select placeholder="Subcategory" [formControl]="searchForm.controls['sub_category_id']">
              <!-- <mat-option>None</mat-option> -->
              <mat-option *ngFor="let subcategory of posts3"  [value]="subcategory.sub_category_id">{{subcategory.sub_category_name}}</mat-option>
            </mat-select>
          </mat-form-field> 
        </div>
  <div class="col-md-1" style="margin: -10px">
    <button mat-raised-button type="submit" class="btn btn-circle green" style="cursor: pointer; margin: 14px;" color="accent">search</button>
  </div>
        
    </div><br><br><br>
  
  </form>

  <button mat-fab class="float-button2" (click)="all_products()">
      <mat-icon matTooltip="Refresh">refresh</mat-icon>
    </button>


<!-- <button mat-fab class="float-button" routerLink="/addproducts">
  <mat-icon matTooltip="Add Product">add</mat-icon>
</button> -->

<div class="appereance">
  <div class="example-container mat-elevation-z2 radius margintable">
    <div class="title">
      <span></span>
    </div>
    <div class="example-header">
      <mat-form-field>
        <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter">
      </mat-form-field>
    </div>

    <div class="new">
      <mat-table #table [dataSource]="dataSource" matSort>

        <ng-container matColumnDef="product_id">
          <mat-header-cell *matHeaderCellDef mat-sort-header>Product ID. </mat-header-cell>
          <mat-cell *matCellDef="let element; let i=index"> {{i+1}} </mat-cell>
        </ng-container>

        <ng-container matColumnDef="product_image">
          <mat-header-cell *matHeaderCellDef mat-sort-header> Image </mat-header-cell>
          <mat-cell *matCellDef="let row"><img src="{{row.product_image}}" width="100px"> </mat-cell>
        </ng-container>

        <ng-container matColumnDef="productName">
          <mat-header-cell *matHeaderCellDef mat-sort-header> Product Name </mat-header-cell>
          <mat-cell *matCellDef="let element"> {{element.product_name}} </mat-cell>
        </ng-container>

        <ng-container matColumnDef="brandName">
            <mat-header-cell *matHeaderCellDef mat-sort-header> View Details</mat-header-cell>
            
            <mat-cell *matCellDef="let element"><tr><b>Brand Name:</b> {{element.brand_details[0].brand_name}} </tr> 
                                                <tr><b>Category:</b> {{element.category_name}}</tr>  
                                                <tr><b>Sub category:</b> {{element.sub_category_name}}</tr>
                                                
                                               
             </mat-cell>
          </ng-container>
  
          <ng-container matColumnDef="userType">
              <mat-header-cell *matHeaderCellDef mat-sort-header></mat-header-cell>
            <mat-cell *matCellDef="let element"><tr><b>Uploaded by:</b>{{element.usertype}}</tr> 
                                                <tr><b>Quantity:</b> {{element.product_total_quantity}}</tr> 
                                          <tr><b>Consumer Price:</b>{{element.consumer_price}}</tr>
                                          <tr><b>Product Type:</b>{{element.product_type}}</tr>
            </mat-cell>
          
          </ng-container>

          <ng-container matColumnDef="userName">
              <mat-header-cell *matHeaderCellDef mat-sort-header></mat-header-cell>
              <mat-cell *matCellDef="let element"><tr><b>Product Owner:</b>{{element.user_name}}</tr>
                                             <tr><b>Retailer Price:</b>{{element.retailer_price}}</tr> 
                                          <tr><b>Distributer price:</b>{{element.distributer_price}}</tr>
                                          
              </mat-cell>
                            
            </ng-container>

        <!-- <ng-container matColumnDef="actions">
          <mat-header-cell *matHeaderCellDef mat-sort-header> Actions </mat-header-cell>
          <mat-cell *matCellDef="let element">
            <button mat-icon-button routerLink="/editproduct/{{element.product_id}}">
              <mat-icon matTooltip="Edit" style="color:grey">
                <a>edit</a>
              </mat-icon>
            </button>

            <button mat-icon-button>
                <mat-icon matTooltip="Delete" (click)="onDelete(element.id)">delete
                </mat-icon>
              </button>
          </mat-cell>
        </ng-container> -->

        <!-- <ng-container matColumnDef="select">
          <mat-header-cell *matHeaderCellDef mat-sort-header>Select</mat-header-cell>
          <mat-cell *matCellDef="let element; let i=index">
            <mat-checkbox (change)="sendIDS($event.checked,element.product_id)" color="primary"></mat-checkbox>
          </mat-cell>
        </ng-container> -->

        <mat-header-row *matHeaderRowDef="['product_id','product_image','productName','brandName','userType','userName']"></mat-header-row>
        <mat-row *matRowDef="let row; columns:  ['product_id','product_image','productName','brandName','userType','userName']"></mat-row>

      </mat-table>
    </div>
    <mat-paginator [length]="10000" [pageSize]="400" [pageSizeOptions]="[400,800,1200,1600,2000,4000,6000,8000,10000]">
    </mat-paginator>
  </div>
</div>